Disable Nat
4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| addDisableNat_1 | POST | Create Disable Nat |
| deleteDisableNat_1 | DELETE | Delete Disable Nat |
| modifyDisableNat | PUT | Modify Disable Nat |
| getDisableNatGrid_1 | GET | Get Disable Nat Grid |
addDisableNat_1
POST /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nat
Create Disable Nat
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema Disable Nat
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the Disable Nat. |
status | boolean | yes | The Status of the Disable Nat. |
lanList | array<string> | yes | A list of Lan of the Disable Nat. |
description | string | no | The description of the Disable Nat. |
interface | string | yes | The wan of the Disable Nat. |
// omada_call_operation
{
"operationId": "addDisableNat_1",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Disable Nat.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
deleteDisableNat_1
DELETE /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nat/{disableNatId}
Delete Disable Nat
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
disableNatId | path | string | yes | Disable Nat ID |
// omada_call_operation
{
"operationId": "deleteDisableNat_1",
"params": {
"siteId": "<siteId>",
"disableNatId": "<disableNatId>"
}
}Details, permissions and error codes
Delete Disable Nat.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
modifyDisableNat
PUT /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nat/{disableNatId}
Modify Disable Nat
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
disableNatId | path | string | yes | Disable Nat ID |
Request body — application/json (required) — schema Disable Nat
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Name of the Disable Nat. |
status | boolean | yes | The Status of the Disable Nat. |
lanList | array<string> | yes | A list of Lan of the Disable Nat. |
description | string | no | The description of the Disable Nat. |
interface | string | yes | The wan of the Disable Nat. |
// omada_call_operation
{
"operationId": "modifyDisableNat",
"params": {
"siteId": "<siteId>",
"disableNatId": "<disableNatId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Disable Nat.
The interface requires one of the permissions:
Site Settings Manager Modify
Network Config Page Modify
Site Device Manager Modify
getDisableNatGrid_1
GET /openapi/v1/{omadacId}/sites/{siteId}/wired-networks/disable-nats
Get Disable Nat Grid
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getDisableNatGrid_1",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get Disable Nat Grid.
The interface requires one of the permissions:
Site Settings Manager View Only
Network Config Page View Only
Site Device Manager View Only